%define name 	opengroupware-webui-libs
%define version 5.0.0
%define cvs     20040204
%define release %{cvs}.1mdk

Summary:     	OpenGroupware.org WebUI (Libs)
Name:        	%{name}
Version:     	%{version}
Release:     	%{release}
License:     	GPL
URL: 		http://www.opengroupware.org
Group:       	Networking/Other
Prefix:      	%{_libdir}/opengroupware.org
BuildRoot:   	%{_tmppath}/%{name}-buildroot
Requires:    opengroupware-gstep-make, opengroupware-libfoundation, opengroupware-sope, opengroupware-env, opengroupware-logic
Source:      opengroupware.org-webui-libs-%{cvs}.tar.bz2

BuildRequires: opengroupware-gstep-make opengroupware-gstep-make-devel opengroupware-gstep-objc opengroupware-gstep-objc-devel opengroupware-libfoundation opengroupware-libfoundation-devel 
BuildRequires: libxml2 libxml2-devel opengroupware-xml opengroupware-xml-devel opengroupware-core opengroupware-core-devel opengroupware-gstep-db opengroupware-gstep-db-devel opengroupware-sope opengroupware-sope-devel opengroupware-env opengroupware-logic opengroupware-logic-devel opengroupware-docapi opengroupware-docapi-devel

%description
This package contains parts of the OpenGroupware.org WebUI.

%package devel
Summary:  The header files for the OpenGroupware.org WebUI part 'Libs'.
Group:    Development/Other
Requires: opengroupware-gstep-make
BuildRequires: gcc-objc
Requires: %name

%description devel
The devel package contains the header files for the OpenGroupware.org
WebUI (Libs).

%prep
%setup -q -n opengroupware.org-webui-libs

%build
source %{prefix}/OpenGroupware.org.sh
cd OGoFoundation
make -s debug=yes strip=yes all
cd ..

%install
rm -rf $RPM_BUILD_ROOT

source %{prefix}/OpenGroupware.org.sh
I=${RPM_BUILD_ROOT}%{prefix}
export FORCED_USER_ROOT=$I
B=$I/Library/OpenGroupware.org
cd OGoFoundation
make -s debug=yes strip=yes install GNUSTEP_INSTALLATION_DIR=$I BUNDLE_INSTALL_DIR=$B GNUSTEP_LOCAL_ROOT=$I
cd ..

%post
if test "x${RPM_INSTALL_PREFIX}" = "x"; then
  RPM_INSTALL_PREFIX="%{prefix}"
fi
/sbin/ldconfig -n $RPM_INSTALL_PREFIX/Libraries/ix86/linux-gnu/gnu-fd-nil

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%{prefix}/Libraries/ix86/linux-gnu/gnu-fd-nil/libOGoFoundation*.so.*.*

%files devel
%defattr(-,root,root,-)
%{prefix}/Libraries/ix86/linux-gnu/gnu-fd-nil/libOGoFoundation*.so
%{prefix}/Headers/OGoFoundation


%changelog
* Wed Feb 11 2004 Spencer Anderson <sdander@oberon.ark.com> 5.0.0-20040204.1mdk
- 20040204

* Fri Dec 5 2003 Spencer Anderson <sdander@oberon.ark.com> 5.0.0-20031201.1mdk
- new snapshot - bugfixes
- specfile cleaning

* Tue Oct 7 2003 Spencer Anderson <sdander@oberon.ark.com> 5.0-20031001.1mdk
- new snapshot
- specfile cleanup

* Thu Sep 4 2003 Austin Acton <aacton@yorku.ca> 1.0-20030721.1mdk
- from Spencer Anderson <sdander@oberon.ark.com> :
  - initial Mandrake release
  - based on Redhat specfile
